package com.example.admin.mydatabaseapp;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;

import java.sql.SQLException;
import java.util.List;
import java.util.Random;


public class MainActivity extends AppCompatActivity {

    private DBHelper datasource;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        datasource = new DBHelper(this);
        try{
            datasource.open();
        }
        catch (Exception e){

        }
        ListView lv = (ListView)findViewById(R.id.listView);



        List<Person> values = datasource.getAllComments();

        // Use the SimpleCursorAdapter to show the
        // elements in a ListView
        ArrayAdapter<Person> adapter = new ArrayAdapter<Person>(this,
                android.R.layout.simple_list_item_1, values);
        lv.setAdapter(adapter);


    }

    public void process(View view) {
        @SuppressWarnings("unchecked")
        ListView lv = (ListView)findViewById(R.id.listView);
        ArrayAdapter<Person> adapter = (ArrayAdapter<Person>) lv.getAdapter();
        Person person = null;
        EditText et = (EditText)findViewById(R.id.inputName);
        switch (view.getId()) {
            case R.id.add:
                String name = et.getText().toString();
                // Save the new comment to the database
                person = datasource.createPerson(name);
                adapter.add(person);
                break;
            case R.id.delete:
                if (lv.getAdapter().getCount() > 0) {
                    person = (Person) lv.getAdapter().getItem(0);
                    datasource.deletePerson(person);
                    adapter.remove(person);
                }
                break;
            case R.id.deleteAll:
                if (lv.getAdapter().getCount() > 0) {
                    datasource.deleteAllPersons();
                    adapter.clear();
                }
                break;
        }
        adapter.notifyDataSetChanged();
    }
}
